
QGIS Application - Bug report #281

Selecting features causing abnormal exit

2006-09-21 11:40 AM - skouk-geo-aegean-gr -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:2.4.0 Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 10340

Description

When using the select features (box) with shapefiles QGIS exits. Same happens with the identify features tool.

S.

History

#1 - 2006-09-22 02:20 AM - Gavin Macaulay -

Please attach a backtrace so that we can see where qgis is crashing

#2 - 2006-09-23 10:37 AM - Redmine Admin

I had a similar problem on my Kubuntu box with commit:5f557ef7 (SVN r5825). On my another computer with almost same configuration (but Fedora 4)

with  no crashes were observed. So I downgrade to  and everythnig works fine. It seem to be broken with 5821 commit.

#3 - 2006-09-23 10:42 AM - Redmine Admin

Output from backtrace

#0  0xffffe410 in +kernel_vsyscall ()

#3905  0xb68aa9a1 in raise () from /lib/tls/i686/cmov/libc.so.6

#3906  0xb68ac2b9 in abort () from /lib/tls/i686/cmov/libc.so.6

#3907  0xb68de87a in +fsetlocking () from /lib/tls/i686/cmov/libc.so.6

#3908  0xb68e4fd4 in malloc_usable_size () from /lib/tls/i686/cmov/libc.so.6

#3909  0xb68e534a in free () from /lib/tls/i686/cmov/libc.so.6

#3910  0xb6a858b1 in operator delete () from /usr/lib/libstdc++.so.6

#3911  0xb7b1c627 in ~TopologyLocation (this=0x12) at new_allocator.h:94

#3912  0xb7b1786c in ~Label (this=0x8384348) at ../geomgraph/Label.cpp:67

#3913  0xb7b106ac in ~EdgeEnd (this=0x8385a10) at ../geomgraph/EdgeEnd.cpp:37

#10 0xb7b483f8 in ~EdgeEndBundle (this=0x8385a10) at ../operation/relate/EdgeEndBundle.cpp:44

#3914 0xb7b48ab2 in ~EdgeEndBundleStar (this=0x82c1148) at ../operation/relate/EdgeEndBundleStar.cpp:39

#3915 0xb7b18bed in ~Node (this=0x8385640) at ../geomgraph/Node.cpp:55

#3916 0xb7b4a5a1 in ~RelateNode (this=0x8385640) at ../operation/relate/RelateNode.cpp:36

#3917 0xb7b1957e in ~NodeMap (this=0x82d59d8) at ../geomgraph/NodeMap.cpp:36

#3918 0xb7b4949b in ~RelateComputer (this=0xbfd6e8cc) at ../operation/relate/RelateComputer.cpp:65

#3919 0xb7b4acf9 in ~RelateOp (this=0xbfd6e8c0) at ../operation/relate/RelateOp.cpp:81

#3920 0xb7b4aef1 in geos::RelateOp::relate (a=0x0, b=0x0) at ../operation/relate/RelateOp.cpp:49

#3921 0xb7af1fd1 in geos::Geometry::relate (this=0x8246478, other=0x81e0778) at Geometry.cpp:515
#3922 0xb7af0527 in geos::Geometry::intersects (this=0x8246478, g=0x81e0778) at Geometry.cpp:432

#3923 0xb608226c in [[QgsOgrProvider]]::getNextFeature (this=0x82c1cd0, fetchAttributes=true) at qgsogrprovider.cpp:428

---Type <return> to continue, or q <return> to quit---

#3924 0xb6c321b3 in [[QgsMapToolIdentify]]::identifyVectorLayer (this=0x822eb58, layer=0x8246b38, point=@0xbfd6ed88) at

qgsmaptoolidentify.cpp:247

#3925 0xb6c346c7 in [[QgsMapToolIdentify]]::canvasReleaseEvent (this=0x822eb58, e=0xbfd6ee28) at qgsmaptoolidentify.cpp:93

#3926 0xb6c1446d in [[QgsMapCanvas]]::contentsMouseReleaseEvent (this=0x81710a0, e=0xbfd6ee28) at qgsmapcanvas.cpp:681

#3927 0xb767dd5a in Q3ScrollView::viewportMouseReleaseEvent () from /usr/local/Trolltech/Qt-4.1.4/lib/libQt3Support.so.4

#3928 0xb767e72f in Q3ScrollView::eventFilter () from /usr/local/Trolltech/Qt-4.1.4/lib/libQt3Support.so.4

#3929 0xb70e3c06 in QApplicationPrivate::notify_helper () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3930 0xb70e5b2a in QApplication::notify () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3931 0xb713673d in QApplication::x11ProcessEvent () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3932 0xb7135e08 in QApplication::x11ProcessEvent () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3933 0xb7147c45 in non-virtual thunk to QDesktopWidget::~QDesktopWidget() () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3934 0xb78dd21e in QEventLoop::processEvents () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#3935 0xb78dd43a in QEventLoop::exec () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#3936 0xb78e0217 in QCoreApplication::exec () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtCore.so.4

#3937 0xb70e39d5 in QApplication::exec () from /usr/local/Trolltech/Qt-4.1.4/lib/libQtGui.so.4

#3938 0x0804c4b8 in main (argc=1, argv=0xbfd6faa4) at main.cpp:604

#4 - 2006-09-29 11:34 PM - Gavin Macaulay -

I have reverted the problematic change in  (in SVN commit:b1705c17 (SVN r5886)) - please try the latest verson and close this bug if the problem has

gone. Thanks.

#5 - 2006-10-01 11:16 AM - anonymous -

- Status changed from Open to In Progress

#6 - 2006-10-01 11:17 AM - anonymous -

- Status changed from In Progress to Closed

- Resolution set to fixed

#7 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

#8 - 2014-06-29 10:12 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Assignee deleted (anonymous -)

- Affected QGIS version set to 2.4.0
